#include <bits/stdc++.h>
using namespace std;
const int N=1e5+6;
long long n,m,k;
string s;
int a[N];
bool T=0;
int main (){
	cin>>s;
	for (int i=s.size()-1; i>=0; --i){
		if (s[i]!='0'){
			T=1;
			if (s[i]=='5'){
				cout<<2;
			}
			else if (s[i]=='2'){
				cout<<5;
			}
			else{
				cout<<s[i];
			}
		}
		if(s[i]=='0' && T==1){
			cout << 0;
		}
	}
}
